library(readr)
library(dplyr)

# Pamiętaj, aby wspomnieć o tk_augment_timeseries_signature timetk

#--  Zmień tę sekcję, aby załadować dane ----

# Ładowanie zestawu danych
dataset_url <- 'http://bit.ly/titanic-dataset-csv'
src_tbl <- read_csv(dataset_url)

vars_to_drop <- c('PassengerId')
categorical_vars <- c('Sex', 'Ticket', 'Cabin', 'Embarked')
integer_vars <- c('Survived', 'Pclass', 'SibSp', 'Parch')


#-- NIE ZMIENIAJ  ----

tbl <- src_tbl %>% 
  mutate( 
    across(categorical_vars, as.factor),
    across(integer_vars, as.integer)
  ) %>% 
  select( -all_of(vars_to_drop) )

